#include <iostream>
#include <string>

int f(char c)
{
    if(c=='a')
    {
        return 1;
    }
    if(c=='b')
    {
        return 2;
    }
    if(c=='c')
    {
        return 3;
    }
}

int main()
{
    std::string n;
    std::cin >> n;
    int s = n.length();
    int q;
    std::cin >> q;
    for (int i=0; i<q; i++)
    {
        int l, r;
        std::cin >> l >> r;
        l-=1;
        r-=1;
        int b=1;
        for (int j=l; j<r; j++)
        {
            if (static_cast<int>(n[j+1]) < static_cast<int>(n[j]))
            {
                b+=1;
            }
        }
        std::cout << b << "\n";
    }
    return 0;
}